Subject: Re: [PATCH 2/2] net: dwmac_socfpga: use the standard "ahb" reset

From: Jakub Kicinski <[email-masked]>
Date: Thu, 13 Jul 2023 09:51:16 -0700

On Thu, 13 Jul 2023 14:39:57 +0200 Paolo Abeni wrote:
> > However for ABI breaks with scope limited to only one given platform, it
> > is the platform's maintainer choice to allow or not allow ABI breaks.
> > What we, Devicetree maintainers expect, is to mention and provide
> > rationale for the ABI break in the commit msg.  
> 
> @Dinh: you should at least update the commit message to provide such
> rationale, or possibly even better, drop this 2nd patch on next
> submission.

Or support both bindings, because the reset looks optional. So maybe 
instead of deleting the use of "stmmaceth-ocp", only go down that path
if stpriv->plat->stmmac_ahb_rst is NULL?